# class RDoc::PuppetNode

PuppetNode holds a puppet node It is mapped to a HTMLPuppetNode for display A node is just a variation of a class

### Public Class Methods

new(name, superclass) click to toggle source
Calls superclass method RDoc::PuppetClass.new

    # File lib/puppet/util/rdoc/code_objects.rb, line 172
    def initialize(name, superclass)
      super(name,superclass)
    end

### Public Instance Methods

is_module?() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 176
    def is_module?
      false
    end